//
//  ChannelView.m
//  POP
//
//  Created by 李鹏飞  on 2017/3/8.
//  Copyright © 2017年 张庆勇. All rights reserved.
//

#import "ChannelView.h"
#import "ModelarCollectionView.h"
#import "DQModel.h"
#import "DQTool.h"
#import "CollectionViewCell.h"
#define KScreenWidth [UIScreen mainScreen].bounds.size.width
#define KScreenHeight [UIScreen mainScreen].bounds.size.height
//菜单列数
static NSInteger ColumnNumber = 4;
//横向和纵向的间距
static CGFloat CellMarginX = 15.0f;
static CGFloat CellMarginY = 10.0f;
@interface ChannelView ()<UICollectionViewDelegateFlowLayout,UICollectionViewDataSource,RTDragCellTableViewDataSource,RTDragCellTableViewDelegate>
{
    ChannelBlock _block;
}
@property (nonatomic, strong) ModelarCollectionView *DQCollectionView;

@property (nonatomic, strong) NSMutableArray <DQModel *> *DataArr;
@property (nonatomic, strong) NSArray *titlearray;

@end

@implementation ChannelView
- (NSMutableArray<DQModel *> *)DataArr{
    if (!_DataArr) {
        _DataArr = [NSMutableArray new];
    }
    
    return _DataArr;
}

-(instancetype)initWithFrame:(CGRect)frame{
    if (self = [super initWithFrame:frame]) {
//        [self buildUI];
    }
    return self;
}
-(void)buildUI
{
    UICollectionViewFlowLayout *flowLayout = [[UICollectionViewFlowLayout alloc] init];
    CGFloat cellWidth = (self.bounds.size.width - (ColumnNumber + 1) * CellMarginX)/ColumnNumber;
    flowLayout.itemSize = CGSizeMake(cellWidth,cellWidth/2.0f);
    flowLayout.sectionInset = UIEdgeInsetsMake(CellMarginY, CellMarginX, CellMarginY, CellMarginX);
    flowLayout.minimumLineSpacing = CellMarginY;
    flowLayout.minimumInteritemSpacing = CellMarginX;
    flowLayout.headerReferenceSize = CGSizeMake(self.bounds.size.width, 40);
    
    self.DQCollectionView = [[ModelarCollectionView alloc]initWithFrame:self.bounds collectionViewLayout:flowLayout] ;
    
     [self.DQCollectionView registerClass:[CollectionViewCell class] forCellWithReuseIdentifier:@"CollectionViewCell"];
    self.DQCollectionView.delegate = self ;
    self.DQCollectionView.dataSource = self ;
    self.DQCollectionView.showsHorizontalScrollIndicator = false;
    self.DQCollectionView.adelegate = self ;
    self.DQCollectionView.adataSource = self ;
    self.DQCollectionView.alwaysBounceVertical = YES;
    [self addSubview:self.DQCollectionView] ;
     self.DQCollectionView.backgroundColor = [UIColor clearColor];
    
   
    
    NSArray *array = [DQTool InitializeDateFunction:self.titlearray];
    self.DataArr = [array mutableCopy];
    [self.DQCollectionView reloadData];

}
- (NSInteger )collectionView:(UICollectionView *)collectionView numberOfItemsInSection:(NSInteger)section{
    
    return self.DataArr.count;
}
-(UICollectionViewCell *)collectionView:(UICollectionView *)collectionView cellForItemAtIndexPath:(NSIndexPath *)indexPath
{
    CollectionViewCell *cell = [collectionView dequeueReusableCellWithReuseIdentifier:@"CollectionViewCell" forIndexPath:indexPath] ;
    [cell SetDataFromModel:self.DataArr[indexPath.row]];
    return cell ;
}

- (UIEdgeInsets)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout*)collectionViewLayout insetForSectionAtIndex:(NSInteger)section
{
    return UIEdgeInsetsMake(1, 1, 1, 1);
}
- (void)collectionView:(UICollectionView *)collectionView didSelectItemAtIndexPath:(NSIndexPath *)indexPath{
    //点击事件
    DQModel *modle=self.DataArr[indexPath.row];
   
    NSLog(@"-->%@",modle.title);
    _block(indexPath.row);
    
}
- (void)tableView:(ModelarCollectionView *)tableView newArrayDataForDataSource:(NSArray *)newArray{
    //改变数组
    self.DataArr = [NSMutableArray arrayWithArray:newArray] ;
    
}
/**选中的cell完成移动，手势已松开*/
- (void)cellDidEndMovingInTableView:(ModelarCollectionView *)tableView{
    //保存数据
    [DQTool SaveUserDefaultsDataFunction:self.DataArr];
    
}
- (NSArray *)originalArrayDataForTableView:(ModelarCollectionView *)tableView{
    
    return self.DataArr;
}

-(void)showChannelViewWithInUseTitles:(NSArray*)inUseTitles finish:(ChannelBlock)block;
{
    _block = block;
    
    self.titlearray=inUseTitles;
    [UIView animateWithDuration:0.3 animations:^{
        [self buildUI];
        
    }];
    
}
@end
