//
//  ChannelView.m
//  POP
//
//  Created by 李鹏飞  on 2017/3/8.
//  Copyright © 2017年 张庆勇. All rights reserved.
//

#import "CollectionViewCell.h"
#import "DQModel.h"


@interface CollectionViewCell ()
{
    UILabel *_textLabel;
}

@end

@implementation CollectionViewCell

-(instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        [self initUI];
    }
    return self;
}

-(void)initUI
{
    self.userInteractionEnabled = true;
    self.layer.cornerRadius = 5.0f;
    self.layer.borderWidth = 1.0f;
    self.backgroundColor = [UIColor whiteColor];
    self.layer.borderColor = [self borderColor].CGColor;
    
    _textLabel = [UILabel new];
    _textLabel.frame = self.bounds;
    _textLabel.textAlignment = NSTextAlignmentCenter;
    _textLabel.textColor = [self textColor];
    _textLabel.font = [UIFont systemFontOfSize:15];
    _textLabel.adjustsFontSizeToFitWidth = true;
    _textLabel.userInteractionEnabled = true;
    [self addSubview:_textLabel];
}

-(void)layoutSubviews
{
    [super layoutSubviews];
    _textLabel.frame = self.bounds;
}
#pragma mark -
#pragma mark 配置方法

-(UIColor*)borderColor{
    return [UIColor colorWithRed:227.0/255.0f green:227.0/255.0f blue:227.0/255.0f alpha:1];
}


-(UIColor*)lightBorderColor{
    return [UIColor colorWithRed:241.0/255.0f green:241.0/255.0f blue:241.0/255.0f alpha:1];
}

-(UIColor*)textColor{
    return [UIColor colorWithRed:40.0/255.0f green:40.0/255.0f blue:40.0/255.0f alpha:1];
}

-(UIColor*)lightTextColro{
    return [UIColor colorWithWhite:0.5 alpha:1];
}


- (void)SetDataFromModel:(DQModel *)model{

//    self.TitleImg.image = [UIImage imageNamed:model.image];
    _textLabel.text = model.title;

}

@end
